> For the complete documentation index, see [llms.txt](https://docs.sprinthub.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sprinthub.com/topicos/api/api-google-sheets-enviando-dados-de-leads-para-o-google-sheets.md).

# API - Google Sheets - Enviando dados de leads para o Google Sheets

{% embed url="<https://www.youtube.com/watch?v=4Fjqv79oU7I>" %}

#### SCRIPT PARA O APPSCRIPT

```javascript
function doPost(e) {
    var sheet = SpreadsheetApp.openById("ID_DA_SUA_PLANILHA").getSheetByName("Sheet1");
    var data = JSON.parse(e.postData.contents);
    
    sheet.appendRow(data.values[0]);
    return ContentService.createTextOutput("Sucesso").setMimeType(ContentService.MimeType.JSON);
}
```

#### JSON PARA ENVIAR OS DADOS DO SPRINTHUB

```json
{
  "values": [
    [
      "{contactfield=firstname}", "{contactfield=lastname}", "{contactfield=email}", "{contactfield=mobile}"
    ]
  ]
}

```

**Conclusão:**

Com essas instruções, você estará pronto para enviar qualquer dado disponível via token do SprintHub para dentro de uma planilha Google Sheets, via Fluxo de Automação ou qualquer outro bloco de automação, seja de CRM ou até mesmo via Chatbot.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sprinthub.com/topicos/api/api-google-sheets-enviando-dados-de-leads-para-o-google-sheets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
